/* example of using soft float */

float sqrt_1 (float x)
{
	float t,t1;
	float e = 0.0001;

	if (x <= e) {
		return 0;
	}

	t = x;
	while (1) {
		float d;
		t1 = (t + x/t)/2.0;
		d = t - t1;
		d = d >= 0? d : (-d);

		if (d < e)
			break;
	
		t = t1;
	}

	return t;
}

void main (void)
{
	float i, j;

	i = 3.14159;

	j = sqrt_1 (i);

	while (1) ;
}

void _mon_printf(void)
{

}

